Hello again

I've been tested per second eliminating the MailScanner checks and guess, the problems persist then the problem is not in the MailScanner as we thought.


I can send the logs after doing the test and the script that comes with the example of bogofilter.


#!/bin/sh

FILTER=/usr/bin/bogofilter
FILTER_DIR=/var/spool/filter
# WARNING! The -i is crucial, else you may see
# messages truncated at the first period that is alone on a line
# (which can happen with several kinds of messages, particularly
# quoted-printable)
# -G is ignored before Postfix 2.3 and tells it that the message
# does not originate on the local system (Gateway submission),
# so Postfix avoids some of the local expansions that can leave
# misleading traces in headers, such as local address
# canonicalizations.
POSTFIX="/usr/sbin/sendmail -G -i"
export BOGOFILTER_DIR=/home/filter

# Exit codes from <sysexits.h>
EX_TEMPFAIL=75
EX_UNAVAILABLE=69

cd $FILTER_DIR || \
{ echo $FILTER_DIR does not exist; exit $EX_TEMPFAIL; }

# Clean up when done or when aborting.
trap "rm -f msg.$$ ; exit $EX_TEMPFAIL" 0 1 2 3 15

# bogofilter -e returns: 0 for OK, nonzero for error
rm -f msg.$$ || exit $EX_TEMPFAIL
$FILTER -p -u -e > msg.$$ || exit $EX_TEMPFAIL

exec <msg.$$ || exit $EX_TEMPFAIL
rm -f msg.$$ # safe, we hold the file descriptor
exec $POSTFIX "$@"
exit $EX_TEMPFAIL

my logs:

Sep 29 23:27:53 mailserver postfix/smtpd[29032]: connect from spider.home.com[192. 168.25.254] Sep 29 23:27:53 mailserver postfix/smtpd[29032]: C1345E03AE: client=spider.home.com[192.168.25.254] Sep 29 23:27:53 mailserver postfix/cleanup[29035]: C1345E03AE: message-id=<200909292 33141.fjhnyly7v54oo...@webmail2.home.com> Sep 29 23:27:53 mailserver postfix/smtpd[29032]: disconnect from spider.casa.co.cu[1 92.168.25.254] Sep 29 23:27:53 mailserver postfix/qmgr[29023]: C1345E03AE: from=<mic...@casa.co.cu> , size=874, nrcpt=1 (queue active) Sep 29 23:27:53 mailserver sendmail[29037]: n8U3RrLh029037: Authentication-Warning: mailserver.home.com: filter set sender to mic...@casa.co.cu using -f Sep 29 23:27:53 mailserver sendmail[29037]: n8U3RrLh029037: from=mic...@casa.co.cu, size=950, class=0, nrcpts=1, msgid=<20090929233141.fjhnyly7v54oo...@webmail2.home.com>, relay=fil...@localhost Sep 29 23:27:53 mailserver postfix/smtpd[29032]: connect from localhost.localdomain[ 127.0.0.1] Sep 29 23:27:53 mailserver postfix/smtpd[29032]: F2E09E03B2: client=localhost.locald omain[127.0.0.1] Sep 29 23:27:54 mailserver dovecot: IMAP(mic...@casa.co.cu): Disconnected: Logged ou t bytes=727/698 Sep 29 23:27:54 mailserver postfix/cleanup[29035]: F2E09E03B2: message-id=<200909292 33141.fjhnyly7v54oo...@webmail2.home.com> Sep 29 23:27:54 mailserver sendmail[29037]: n8U3RrLh029037: to=p...@gmail.com, ctladdr=mic...@casa.co.cu (509/509), delay=00:00:01, xdelay=00:00:01, mailer=rel ay, pri=30950, relay=[127.0.0.1] [127.0.0.1], dsn=2.0.0, stat=Sent (Ok: queued a s F2E09E03B2) Sep 29 23:27:54 mailserver postfix/qmgr[29023]: F2E09E03B2: from=<mic...@casa.co.cu> , size=1399, nrcpt=1 (queue active) Sep 29 23:27:54 mailserver postfix/smtpd[29032]: disconnect from localhost.localdoma in[127.0.0.1] Sep 29 23:27:54 mailserver postfix/pipe[29036]: C1345E03AE: to=<p...@gmail.com> , relay=filter, delay=0.3, delays=0.03/0.01/0/0.26, dsn=2.0.0, status=sent (deli vered via filter service)
Sep 29 23:27:54 mailserver postfix/qmgr[29023]: C1345E03AE: removed
Sep 29 23:27:54 mailserver sendmail[29042]: n8U3RsYj029042: Authentication-Warning: mailserver.home.com: filter set sender to mic...@casa.co.cu using -f Sep 29 23:27:54 mailserver sendmail[29042]: n8U3RsYj029042: from=mic...@casa.co.cu, size=1398, class=0, nrcpts=1, msgid=<20090929233141.fjhnyly7v54oo...@webmail2.home.com>, relay=fil...@localhost Sep 29 23:27:54 mailserver postfix/smtpd[29032]: connect from localhost.localdomain[ 127.0.0.1] Sep 29 23:27:54 mailserver postfix/smtpd[29032]: 26AEDE03AE: client=localhost.locald omain[127.0.0.1] Sep 29 23:27:54 mailserver postfix/cleanup[29035]: 26AEDE03AE: message-id=<200909292 33141.fjhnyly7v54oo...@webmail2.home.com> Sep 29 23:27:54 mailserver postfix/qmgr[29023]: 26AEDE03AE: from=<mic...@casa.co.cu> , size=1854, nrcpt=1 (queue active) Sep 29 23:27:54 mailserver sendmail[29042]: n8U3RsYj029042: to=p...@gmail.com, ctladdr=mic...@casa.co.cu (509/509), delay=00:00:00, xdelay=00:00:00, mailer=rel ay, pri=31398, relay=[127.0.0.1] [127.0.0.1], dsn=2.0.0, stat=Sent (Ok: queued a s 26AEDE03AE) Sep 29 23:27:54 mailserver postfix/smtpd[29032]: disconnect from localhost.localdoma in[127.0.0.1] Sep 29 23:27:54 mailserver postfix/pipe[29041]: F2E09E03B2: to=<p...@gmail.com> , relay=filter, delay=0.27, delays=0.06/0.01/0/0.19, dsn=2.0.0, status=sent (del ivered via filter service)
Sep 29 23:27:54 mailserver postfix/qmgr[29023]: F2E09E03B2: removed
Sep 29 23:27:54 mailserver sendmail[29046]: n8U3RsnR029046: Authentication-Warning: mailserver.home.com: filter set sender to mic...@casa.co.cu using -f Sep 29 23:27:54 mailserver sendmail[29046]: n8U3RsnR029046: from=mic...@casa.co.cu, size=1846, class=0, nrcpts=1, msgid=<20090929233141.fjhnyly7v54oo...@webmail2.home.com>, relay=fil...@localhost Sep 29 23:27:54 mailserver postfix/smtpd[29032]: connect from localhost.localdomain[ 127.0.0.1] Sep 29 23:27:54 mailserver postfix/smtpd[29032]: 4A582E03B2: client=localhost.locald omain[127.0.0.1] Sep 29 23:27:54 mailserver postfix/cleanup[29035]: 4A582E03B2: message-id=<200909292 33141.fjhnyly7v54oo...@webmail2.home.com> Sep 29 23:27:54 mailserver postfix/qmgr[29023]: 4A582E03B2: from=<mic...@casa.co.cu> , size=2309, nrcpt=1 (queue active) Sep 29 23:27:54 mailserver sendmail[29046]: n8U3RsnR029046: to=p...@gmail.com, ctladdr=mic...@casa.co.cu (509/509), delay=00:00:00, xdelay=00:00:00, mailer=rel ay, pri=31846, relay=[127.0.0.1] [127.0.0.1], dsn=2.0.0, stat=Sent (Ok: queued a s 4A582E03B2) Sep 29 23:27:54 mailserver postfix/smtpd[29032]: disconnect from localhost.localdoma in[127.0.0.1] Sep 29 23:27:54 mailserver postfix/pipe[29036]: 26AEDE03AE: to=<p...@gmail.com> , relay=filter, delay=0.25, delays=0.06/0/0/0.19, dsn=2.0.0, status=sent (delive red via filter service)
Sep 29 23:27:54 mailserver postfix/qmgr[29023]: 26AEDE03AE: removed
Sep 29 23:27:54 mailserver sendmail[29050]: n8U3RsVt029050: Authentication-Warning: mailserver.home.com: filter set sender to mic...@casa.co.cu using -f Sep 29 23:27:54 mailserver sendmail[29050]: n8U3RsVt029050: from=mic...@casa.co.cu, size=2294, class=0, nrcpts=1, msgid=<20090929233141.fjhnyly7v54oo...@webmail2.home.com>, relay=fil...@localhost Sep 29 23:27:54 mailserver postfix/smtpd[29032]: connect from localhost.localdomain[ 127.0.0.1] Sep 29 23:27:54 mailserver postfix/smtpd[29032]: 701D4E03AE: client=localhost.locald omain[127.0.0.1] Sep 29 23:27:54 mailserver postfix/cleanup[29035]: 701D4E03AE: message-id=<200909292 33141.fjhnyly7v54oo...@webmail2.home.com> Sep 29 23:27:54 mailserver postfix/qmgr[29023]: 701D4E03AE: from=<mic...@casa.co.cu> , size=2764, nrcpt=1 (queue active) Sep 29 23:27:54 mailserver sendmail[29050]: n8U3RsVt029050: to=p...@gmail.com, ctladdr=mic...@casa.co.cu (509/509), delay=00:00:00, xdelay=00:00:00, mailer=rel ay, pri=32294, relay=[127.0.0.1] [127.0.0.1], dsn=2.0.0, stat=Sent (Ok: queued a s 701D4E03AE) Sep 29 23:27:54 mailserver postfix/smtpd[29032]: disconnect from localhost.localdoma in[127.0.0.1] Sep 29 23:27:54 mailserver postfix/pipe[29041]: 4A582E03B2: to=<p...@gmail.com> , relay=filter, delay=0.25, delays=0.06/0/0/0.19, dsn=2.0.0, status=sent (delive red via filter service)
Sep 29 23:27:54 mailserver postfix/qmgr[29023]: 4A582E03B2: removed

----------------------------------------------
Webmail, servicio de correo electronico
Casa de las Americas - La Habana, Cuba.


Reply via email to